sasl_server_init(10 July 2001)

NAME
sasl_server_init - SASL server authentication initialization

SYNOPSIS
#include <sasl/sasl.h>

int sasl_server_init(const sasl_callback_t *callbacks,
                     const char *appname);

DESCRIPTION

sasl_server_init() initializes SASL. It must be called before any calls to sasl_server_start, and only once per process. This call initializes all SASL mechanism drivers (e.g. authentication mechanisms). These are usually found in the /usr/lib/sasl2 directory but the directory may be overriden with the SASL_PATH enviornment variable (or at compile time).

callbacks specifies the base callbacks for all client connections. See the sasl_callbacks man page for more information.

appname is the name of the application. It is used for where to find the default configuration file.

RETURN VALUE

sasl_server_init returns an integer which corresponds to one of the SASL error codes. SASL_OK is the only one that indicates success. All others indicate errors and should either be handled or the authentication session should be quit.

CONFORMING TO
RFC 2222

SEE ALSO
sasl(3), sasl_callbacks(3), sasl_errors(3), sasl_server_new(3), sasl_server_start(3), sasl_server_step(3)